apiVersion: apps/v1
kind: Deployment
metadata:
  name: helloworld
spec:
  replicas: 1
  selector:
    matchLabels:
      app: helloworld
  template:
    metadata:
      labels:
        app: helloworld
    spec:
      imagePullSecrets:
        - name: myregistry
      containers:
      - name: helloworld
        image: 192.168.122.148:5000/test/helloworld:483227693
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
